# This file was generated by the {rix} R package v0.12.4 on 2024-10-20
# with following call:
# >rix(r_ver = "219f896bdf192721446db4fedc338eebf732057d",
#  > r_pkgs = c("R.methodsS3",
#  > "R.oo",
#  > "R.utils",
#  > "R6",
#  > "assertthat",
#  > "base64enc",
#  > "bslib",
#  > "digest",
#  > "evaluate",
#  > "fastmap",
#  > "fs",
#  > "glue",
#  > "highr",
#  > "htmltools",
#  > "jquerylib",
#  > "jsonlite",
#  > "knitr",
#  > "magrittr",
#  > "markdown",
#  > "mime",
#  > "qrcode",
#  > "rappdirs",
#  > "renv",
#  > "rlang",
#  > "rmarkdown",
#  > "sass",
#  > "stringi",
#  > "stringr",
#  > "tinytex",
#  > "xfun",
#  > "yaml"),
#  > system_pkgs = "quarto",
#  > git_pkgs = NULL,
#  > ide = "rstudio",
#  > project_path = "../hdbi-data-outputs-quarto-presentations/",
#  >      overwrite = TRUE)
# It uses nixpkgs' revision 219f896bdf192721446db4fedc338eebf732057d for reproducibility purposes
# which will install R version 4.3.2.
# Report any issues to https://github.com/ropensci/rix
let
 pkgs = import (fetchTarball "https://github.com/NixOS/nixpkgs/archive/219f896bdf192721446db4fedc338eebf732057d.tar.gz") {};
 
  rpkgs = builtins.attrValues {
    inherit (pkgs.rPackages) 
      assertthat
      base64enc
      bslib
      digest
      evaluate
      fastmap
      fs
      glue
      highr
      htmltools
      jquerylib
      jsonlite
      knitr
      magrittr
      markdown
      mime
      qrcode
      R_methodsS3
      R_oo
      R_utils
      R6
      rappdirs
      renv
      rlang
      rmarkdown
      sass
      stringi
      stringr
      tinytex
      xfun
      yaml;
  };
    
  system_packages = builtins.attrValues {
    inherit (pkgs) 
      glibcLocales
      nix
      quarto
      R;
  };
 
  wrapped_pkgs = pkgs.rstudioWrapper.override {
    packages = [  rpkgs  ];
  };
 
in

pkgs.mkShell {
  LOCALE_ARCHIVE = if pkgs.system == "x86_64-linux" then "${pkgs.glibcLocales}/lib/locale/locale-archive" else "";
  LANG = "en_US.UTF-8";
   LC_ALL = "en_US.UTF-8";
   LC_TIME = "en_US.UTF-8";
   LC_MONETARY = "en_US.UTF-8";
   LC_PAPER = "en_US.UTF-8";
   LC_MEASUREMENT = "en_US.UTF-8";

  buildInputs = [  rpkgs  system_packages  wrapped_pkgs ];
  
}
